]> git.pld-linux.org Git - packages/glibc.git/blobdiff - nscd.init
- explicit ldconfig conflicts for glibc-ld
[packages/glibc.git] / nscd.init
index 7ba2368cc7ace4c7806df27f8b2caf824367ced6..0b478d501088a34153eee64efa37ecf0c00e047c 100644 (file)
--- a/nscd.init
+++ b/nscd.init
@@ -13,7 +13,6 @@
 
 # Sanity checks.
 [ -f /etc/nscd.conf ] || exit 0
-[ -x /usr/sbin/nscd ] || exit 0
 
 # Source function library.
 . /etc/rc.d/init.d/functions
@@ -24,7 +23,7 @@
 start() {
        if [ ! -f /var/lock/subsys/nscd ]; then
                msg_starting "Name Switch Cache Daemon"
-               daemon nscd
+               daemon /usr/sbin/nscd
                RETVAL=$?
                [ $RETVAL -eq 0 ] && touch /var/lock/subsys/nscd
        else
@@ -35,34 +34,58 @@ start() {
 stop() {
        if [ -f /var/lock/subsys/nscd ]; then
                msg_stopping "Name Switch Cache Daemon"
-               busy
-               /usr/sbin/nscd -K
+               killproc --pidfile /var/run/nscd/nscd.pid nscd -TERM
                rm -f /var/lock/subsys/nscd >/dev/null 2>&1
-               ok
        else
                msg_not_running "Name Switch Cache Daemon"
        fi
 }
 
+condrestart() {
+       if [ -f /var/lock/subsys/nscd ]; then
+               stop
+               start
+       else
+               msg_not_running "Name Switch Cache Daemon"
+               RETVAL=$1
+       fi
+}
+
 RETVAL=0
 # See how we were called.
 case "$1" in
   start)
-       start
+       start
        ;;
   stop)
-       stop
+       stop
+       ;;
+  restart)
+       stop
+       start
+       ;;
+  try-restart)
+       condrestart 0
+       ;;
+  force-reload)
+       condrestart 7
+       ;;
+  reload)
+       if [ -f /var/lock/subsys/nscd ]; then
+               for db in passwd group hosts; do
+                       show "Invalidating %s cache" $db; busy
+                       nscd -i $db && ok || fail
+               done
+       else
+               msg_not_running "Name Switch Cache Daemon"
+       fi
        ;;
   status)
        status nscd
        exit $?
        ;;
-  restart|force-reload)
-       stop
-       start
-       ;;
   *)
-       msg_usage "$0 {start|stop|restart|force-reload|status}"
+       msg_usage "$0 {start|stop|restart|try-restart|reload|force-reload|status}"
        exit 3
 esac
 
This page took 0.069188 seconds and 4 git commands to generate.